commit 579c1b6d4b8cac59d6a4efd7273f447faeadc9cc
Author: Michael Paquier <mpaquier@vmware.com>
Date:   Mon Oct 28 14:27:39 2013 +0900

    Remove concatenate operators to fix compilation errors
    
    Concatenate operators do not really make sense in this case as each field
    is copied one by one.

diff --git a/connection.c b/connection.c
index d30f551..c2cfda5 100644
--- a/connection.c
+++ b/connection.c
@@ -308,8 +308,8 @@ CC_conninfo_init(ConnInfo *conninfo, UInt4 option)
 		copy_globals(&(conninfo->drivers), &globals);
 }
 
-#define	CORR_STRCPY(item)	strncpy_null(ci->##item, sci->##item, sizeof(ci->##item))
-#define	CORR_VALCPY(item)	(ci->##item = sci->##item)
+#define	CORR_STRCPY(item)	strncpy_null(ci->item, sci->item, sizeof(ci->item))
+#define	CORR_VALCPY(item)	(ci->item = sci->item)
 
 void
 CC_copy_conninfo(ConnInfo *ci, const ConnInfo *sci)
diff --git a/psqlodbc.c b/psqlodbc.c
index 89f277d..08c92b5 100644
--- a/psqlodbc.c
+++ b/psqlodbc.c
@@ -97,8 +97,8 @@ int	initialize_global_cs(void)
 	return 0;
 }
 
-#define	CORR_STRCPY(item)	strncpy_null(to->##item, from->##item, sizeof(to->##item))
-#define	CORR_VALCPY(item)	(to->##item = from->##item)
+#define	CORR_STRCPY(item)	strncpy_null(to->item, from->item, sizeof(to->item))
+#define	CORR_VALCPY(item)	(to->item = from->item)
 
 void	copy_globals(GLOBAL_VALUES *to, const GLOBAL_VALUES *from)
 {
